# $Revision: 1.107 $, $Date: 2009/04/23 06:29:44 $
%define major	8.5
Summary:	Tk GUI toolkit for Tcl, with shared libraries
Summary(de.UTF-8):	Tk GUI-Toolkit für Tcl mit gemeinsam genutzten Libraries
Summary(fr.UTF-8):	Boite à outil d'interfaçage graphique Tk pour Tcl avec librairies partagées
Summary(pl.UTF-8):	Tk GUI narzędzia dla Tcl wraz z bibliotekami dynamicznymi
Summary(ru.UTF-8):	Tk GUI toolkit для Tcl
Summary(tr.UTF-8):	Tk, Tcl için grafik kullanıcı arabirimi araç takımıdır
Summary(uk.UTF-8):	Tk GUI toolkit для Tcl
Name:		tk
Version:	%{major}.7
Release:	1
License:	BSD
Group:		Development/Languages/Tcl
Source0:	http://dl.sourceforge.net/tcl/%{name}%{version}-src.tar.gz
# Source0-md5:	0764f63ae2106b4774c4ecb0ef391610
Patch0:		%{name}-ieee.patch
Patch1:		%{name}-manlnk.patch
Patch2:		%{name}-pil.patch
Patch3:		%{name}-opt_flags_pass_fix.patch
Patch4:		%{name}-soname_fix.patch
Patch5:		%{name}-norpath.patch
# http://www.tclsource.org/?page=tk
Patch6:		%{name}-aa-cairo.patch
Patch7:		%{name}-unix-scrollbars.patch
Patch8:		%{name}-unix-3d-borders.patch
Patch9:		%{name}-lib64.patch
Patch10:	%{name}-x.patch
Patch11:	%{name}-no_tcl_stub.patch
URL:		http://www.tcl.tk/
BuildRequires:	autoconf
BuildRequires:	tcl-devel >= %{version}
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
Requires:	tcl >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ulibdir	%{_prefix}/lib
%define		specflags	-fno-strict-aliasing

%description
Tk is a X Window widget set designed to work closely with the Tcl
scripting language. It allows you to write simple programs with full
featured GUI's in only a little more time then it takes to write a
text based interface. Tcl/Tk applications can also be run on Windows
and Macintosh platforms.

%description -l de.UTF-8
Tk ist ein Widget-Satz für X-Window für den Einsatz mit der Script
Sprache Tcl. Sie können einfache Programme mit voll funktionsfähigen
GUIs in fast genauso schnell schreiben, wie eine zeichenorientierte
Oberfläche. Tcl/Tk-Anwendungen können auch auf Windows und
Macintosh-Plattformen ausgeführt werden.

%description -l fr.UTF-8
Tk est un ensemble de widgets X Window crée pour fonctionner avec le
langage de script Tcl. Il permet d'écrire des programmes simples avec
des fonctionnalités entiérement interfacées en à peine plus de temps
qu'avec interface texte. Les applications Tcl/Tk peuvent aussi
fonctionner sur des plateformes Windows ou Macintosh.

%description -l ja.UTF-8
Tk は Tcl スクリプト言語と密接に動作するようにデザインされた X Window
System のウィジェットセットです。 テキストベースのインターフェースを
採用してるので、あらゆる特徴をもった GUI
を少ない時間で、簡単なプログラ ムで書くことができます。 Tcl/Tk
アプリケーションは Windows や Macintosh
のプラットフォームで実行することもできます。

%description -l pl.UTF-8
Tk jest zbiorem kontrolek X Window, przeznaczonym do pracy z językiem
skryptowym Tcl. Pakiet ten pozwala na pisanie prostych programów z
GUI.

%description -l ru.UTF-8
Tk - это набор экранных примитивов для X Window, предназначенный для
работы с интерпретерируемым языком Tcl. Он позволяет писать
полноценные программы с графическим интерфейсом практически за то же
время, что и программы текстового режима. Программы на Tcl/Tk также
могут работать под Windows и Macintosh.

%description -l tr.UTF-8
Tk, Tcl betimleme dili ile birlikte kullanılmak üzere tasarlanmış bir
X Window arayüz elemanı kümesidir. Tcl/Tk uygulamaları MS-Windows ve
Macintosh ortamlarında da çalıştırılabilir.

%description -l uk.UTF-8
Tk - це набір екранних примітивів для X Window, призначений для роботи
з інтерпретованою мовою Tcl. Він дозволяє писати повноцінні програми з
графічним інтерфейсом практично за той же час, що і програми
текстового режиму. Програми на Tcl/Tk також можуть працювати під
Windoze та Macintosh.

%package devel
Summary:	Tk GUI toolkit for Tcl header files and development documentation
Summary(pl.UTF-8):	Narzędzia Tk GUI - pliki nagłówkowe i dokumentacja
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}-%{release}
Requires:	tcl-devel >= %{version}
Requires:	xorg-lib-libXft-devel

%description devel
Tk GUI toolkit for Tcl header files and development documentation.

%description devel -l pl.UTF-8
Narzędzia Tk GUI - pliki nagłówkowe i dokumentacja.

%package demo
Summary:	Tk GUI toolkit for Tcl - demo programs
Summary(pl.UTF-8):	Narzędzia Tk GUI - programy demonstracyjne
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}-%{release}

%description demo
Tk GUI toolkit for Tcl - demo programs.

%description demo -l pl.UTF-8
Narzędzia Tk GUI - programy demonstracyjne.

%prep
%setup -q -n %{name}%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
#%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
cd unix
%{__autoconf}
TCL_BIN_DIR=%{_libdir}
%configure \
	--disable-symbols \
	--disable-threads \
	--enable-64bit \
	--enable-gcc \
	--enable-shared \
	--enable-xft

%{__make}

sed -i -e "s#%{_builddir}/%{name}%{version}/unix#%{_libdir}#; \
	s#%{_builddir}/%{name}%{version}#%{_includedir}/%{name}-private#" tkConfig.sh

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir},%{_ulibdir}}

%{__make} -C unix install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	MAN_INSTALL_DIR=$RPM_BUILD_ROOT%{_mandir}

install -d $RPM_BUILD_ROOT%{_includedir}/%{name}-private/{generic,unix}
find generic unix -name "*.h" -exec cp -p '{}' $RPM_BUILD_ROOT%{_includedir}/%{name}-private/'{}' ';'
for h in $RPM_BUILD_ROOT%{_includedir}/*.h; do
	rh=$(basename "$h")
	if [ -f "$RPM_BUILD_ROOT%{_includedir}/%{name}-private/generic/$rh" ]; then
		ln -sf "../../$rh" $RPM_BUILD_ROOT%{_includedir}/%{name}-private/generic
	fi
done

ln -sf libtk%{major}.so.0.0 $RPM_BUILD_ROOT%{_libdir}/libtk.so
ln -sf libtk%{major}.so.0.0 $RPM_BUILD_ROOT%{_libdir}/libtk%{major}.so
ln -sf libtk%{major}.so.0.0 $RPM_BUILD_ROOT%{_libdir}/libtk%{major}.so.0
mv -f $RPM_BUILD_ROOT%{_bindir}/wish%{major} $RPM_BUILD_ROOT%{_bindir}/wish

if [ "%{_libdir}" != "%{_ulibdir}" ] ; then
mv $RPM_BUILD_ROOT%{_libdir}/tk* $RPM_BUILD_ROOT%{_ulibdir}/
fi

install generic/tkInt.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wish
%attr(755,root,root) %{_libdir}/libtk%{major}.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libtk%{major}.so.0
%dir %{_ulibdir}/tk%{major}
%{_ulibdir}/tk%{major}/*.tcl
%{_ulibdir}/tk%{major}/tclIndex
%{_ulibdir}/tk%{major}/tkAppInit.c
%{_ulibdir}/tk%{major}/images
%dir %{_ulibdir}/tk%{major}/msgs
%lang(cs) %{_ulibdir}/tk%{major}/msgs/cs.msg
%lang(da) %{_ulibdir}/tk%{major}/msgs/da.msg
%lang(de) %{_ulibdir}/tk%{major}/msgs/de.msg
%lang(el) %{_ulibdir}/tk%{major}/msgs/el.msg
%{_ulibdir}/tk%{major}/msgs/en.msg
%lang(en_GB) %{_ulibdir}/tk%{major}/msgs/en_gb.msg
%lang(eo) %{_ulibdir}/tk%{major}/msgs/eo.msg
%lang(es) %{_ulibdir}/tk%{major}/msgs/es.msg
%lang(fr) %{_ulibdir}/tk%{major}/msgs/fr.msg
%lang(hu) %{_ulibdir}/tk%{major}/msgs/hu.msg
%lang(it) %{_ulibdir}/tk%{major}/msgs/it.msg
%lang(nl) %{_ulibdir}/tk%{major}/msgs/nl.msg
%lang(pl) %{_ulibdir}/tk%{major}/msgs/pl.msg
%lang(pt) %{_ulibdir}/tk%{major}/msgs/pt.msg
%lang(ru) %{_ulibdir}/tk%{major}/msgs/ru.msg
%lang(sv) %{_ulibdir}/tk%{major}/msgs/sv.msg
%{_ulibdir}/tk%{major}/ttk
%{_mandir}/man1/wish.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_ulibdir}/tkConfig.sh
%attr(755,root,root) %{_libdir}/libtk%{major}.so
%attr(755,root,root) %{_libdir}/libtk.so
%{_libdir}/libtkstub%{major}.a
%{_includedir}/tk*.h
%{_includedir}/tk-private
%{_mandir}/man3/Tk_*.3*
%{_mandir}/man3/Ttk_*.3*
%{_mandir}/mann/*.n*

%files demo
%defattr(644,root,root,755)
%{_ulibdir}/tk%{major}/demos

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tk.spec,v $
Revision 1.107  2009/04/23 06:29:44  arekm
- up to 8.5.7

Revision 1.106  2009/01/09 09:58:23  arekm
- up to 8.5.6

Revision 1.105  2008/10/27 19:57:09  arekm
- up to 8.5.5

Revision 1.104  2008/08/17 20:58:29  arekm
- up to 8.5.4

Revision 1.103  2008/08/08 15:48:47  draenog
- genericevent.patch
- rel. 2

Revision 1.102  2008/07/11 18:39:04  qboosh
- updated to 8.5.3
- ghost soname symlink

Revision 1.101  2008/06/02 14:48:40  pluto
- we provide both (tcl/tk) shared libs, so indirect calls aren't needed.
- release 2.

Revision 1.100  2008-04-05 17:59:57  arekm
- up to 8.5.2

Revision 1.99  2008-02-16 11:44:55  blues
- CVE references

Revision 1.98  2008-02-08 23:29:10  arekm
- up to 8.5.1 [CVE-2008-0553]

Revision 1.97  2008-01-25 09:52:44  glen
- rel 2

Revision 1.96  2007-12-25 10:13:50  qboosh
- updated to 8.5.0

Revision 1.95  2007-11-25 18:29:25  arekm
- up to b3

Revision 1.94  2007/10/18 06:28:53  arekm
- up to 8.5 b1

Revision 1.93  2007/06/26 18:27:03  qboosh
- updated to 8.5a6

Revision 1.92  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.91  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.90  2006/10/26 18:42:16  qboosh
- cosmetics

Revision 1.89  2006/10/25 18:16:09  arekm
- up to a5

Revision 1.88  2006/08/12 18:18:23  ankry
- formatting

Revision 1.87  2006/05/24 16:19:43  qboosh
- added x patch (check for <X11/Xlib.h> instead of <X11/Intrinsic.h>) to avoid libXt BR

Revision 1.86  2006/05/24 06:32:13  qboosh
- updated to 8.5a4
- updated pil,unix-3d-borders patches, removed obsolete tcl-shell-quotes patch
- more xorg deps

Revision 1.85  2006/02/12 09:37:51  pluto
- switch BRs to modular xorg.

Revision 1.84  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.83  2006/01/04 15:49:00  qrczak
- tcl-shell-quotes.patch: fixed unbalanced shell quotes which confuse
  zsh at configure time (the same patch as for tcl).

Revision 1.82  2005/11/22 13:42:47  pluto
- use -fno-strict-aliasing to avoid wrong-code.

Revision 1.81  2005/10/20 18:07:37  qboosh
- fixed tkConfig.sh subst, removed unneeded -I for tcl-private

Revision 1.80  2005/09/23 16:08:20  djurban
- add relevant tcl includes

Revision 1.79  2005/09/06 17:46:29  arekm
- all private tk headers in tk-private dir

Revision 1.78  2005/06/18 19:10:19  qboosh
- updated ieee patch

Revision 1.77  2005/06/17 22:02:57  arekm
- up to a3

Revision 1.76  2005/04/04 12:25:12  arekm
- up to 8.5 patchlevel a2

Revision 1.75  2004/12/08 15:43:20  qboosh
- updated to 8.4.9, updated manlnk patch

Revision 1.74  2004/10/31 15:32:14  paladine
- spaces->tabs

Revision 1.73  2004/10/25 10:44:38  paladine
- "Tcl" and "Tk" unifications (and few others)

Revision 1.72  2004/08/05 22:31:45  qboosh
- updated to 8.4.7, updated ieee,ac253 patches

Revision 1.71  2004/03/06 21:54:04  qboosh
- updated to 8.4.6
- changed the way of setting shlib version in soname_fix patch

Revision 1.70  2004/01/04 14:12:09  adgor
- Fixed %install ( %{_libdir} -> %{_ulibdir})

Revision 1.69  2004/01/02 18:11:16  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.68  2003/12/25 16:05:59  jajcus
- tkConfig.sh moved to /usr/lib

Revision 1.67  2003/12/25 15:46:57  jajcus
- keep he same files placement as in tcl (scripts in /usr/lib, not %{_libdir})

Revision 1.66  2003/12/21 21:39:18  undefine
- add support do amd64. hgw if it work...

Revision 1.65  2003/11/26 09:12:35  qboosh
- updated to 8.4.5 (bugfixes and few enhancements)

Revision 1.64  2003/09/22 17:34:47  arekm
- a bit nicer borders/scrollbars

Revision 1.63  2003/08/28 12:15:20  ankry
- capitalization

Revision 1.62  2003/08/25 20:34:37  mmazur
- rel 1 for ac

Revision 1.61  2003/08/06 22:51:14  grzegol
- updated to 8.4.4
- updated %files

Revision 1.60  2003/08/02 09:28:04  gotar
- fixed X Window System spelling

Revision 1.59  2003/07/01 06:50:42  wiget
- force R tcl in correct version

Revision 1.58  2003/06/17 19:16:56  qboosh
- added norpath patch, s/minor/major/ in spec, release 0.2

Revision 1.57  2003/06/15 21:44:42  qboosh
- added msg files and tkAppInit.c

Revision 1.56  2003/06/12 08:13:59  wiget
- added TODO

Revision 1.55  2003/06/11 07:30:07  wiget
- updated to 8.4.3

Revision 1.54  2003/06/06 09:47:50  wiget
- BR fixed tcl-devel
- release 8

Revision 1.53  2003/06/05 15:30:04  wiget
- fixed soname patch
- release 7

Revision 1.52  2003/05/26 18:19:29  agaran
Source0-md5;

Revision 1.51  2003/05/25 06:27:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.50  2003/05/20 12:26:49  misi3k
- readded soname patch, rel up

Revision 1.49  2003/05/20 05:32:06  misi3k
- removed soname patch, bad idea, rel down

Revision 1.48  2003/05/17 05:22:30  misi3k
- rel 6
- added soname patch

Revision 1.47  2003/04/18 20:28:45  qboosh
- fixed overcomplicated and broken manlnk patch - mann pages accessible again
- typos
- release 5

Revision 1.46  2002/06/27 20:07:04  qboosh
- fixed broken ac253 patch; release 4

Revision 1.45  2002/06/23 04:30:21  kloczek
- aded ac253 patch (fix for autoconf >= 2.5.3).

Revision 1.44  2002/06/22 23:07:05  kloczek
- release 3: merge translations from KSI and Kondra.

Revision 1.43  2002/05/21 23:14:49  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.42  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.41  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.40  2002/01/18 02:15:11  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.39  2001/12/02 14:21:51  kloczek
- release 2: removed duplicated Group fields.

Revision 1.38  2001/11/16 19:09:21  filon
- changed breq: tcl-devel >= 8.3.2 to %{version}, it doesnt build with 8.3.2

Revision 1.37  2001/10/24 11:35:47  mkierus
- updated to 8.3.4

Revision 1.36  2001/08/10 21:51:06  kloczek
- fix for correc install tkInt.h.

Revision 1.35  2001/08/10 21:00:44  kloczek
- release 2: add tkInt.h to devel (header file neccessary on compile tix).

Revision 1.34  2001/06/17 09:08:18  jajcus
- Version: 8.3.3
- 64bit support enabled

Revision 1.33  2001/01/06 01:11:05  kloczek
- release 50: added "Requires: XFree86-devel" to tk-devel - this allow list
  only tk-devel in BuildRequires which silently also will mean "you also
  requires XFree86-devel for building package".

Revision 1.32  2000/11/16 21:05:27  kloczek
- added opt_flags_pass_fix patch fit fix passing optimization flags in
  $(CFLAGS).

Revision 1.31  2000/11/16 20:34:50  kloczek
- release 49 (for allow upgrade from RH),
- use newr rpm automation.

Revision 1.30  2000/10/10 16:26:56  wiget
- BuildRequires: tcl-devel >= 8.3.2

Revision 1.29  2000/10/09 14:24:38  mis
- added missing tclIndex

Revision 1.28  2000/10/07 07:42:32  pascalek
- updated to 8.3.2
- gzipping and stripping removed

Revision 1.27  2000/07/02 21:26:08  kloczek
- bump release to 37 (for allow upgrade from RH 6.2).

Revision 1.26  2000/06/09 07:24:00  kloczek
- added using %{__make} macro.

Revision 1.25  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.24  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.23  1999/09/06 20:05:06  kloczek
- release 31,
- added headers_fix paytch (which install neccessary for compile tix header
  files).

Revision 1.22  1999/07/28 16:30:41  kloczek
- release 3,
- added using %configure macro.

Revision 1.21  1999/07/28 13:27:57  baggins
- stripping binaries

Revision 1.20  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.19  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).
